<?php
namespace Services;

use Zeedhi\Framework\DataSource\Manager;
use Zeedhi\Framework\DataSource\DataSet;
use Teknisa\GER\Utilities\Environment;
use Zeedhi\Framework\DataSource;
use Zeedhi\Framework\DTO;
use \Doctrine\ORM\EntityManager;
use Doctrine\DBAL\Connection;
use Zeedhi\Framework\DB\StoredProcedure\Param;
use Zeedhi\Framework\DB\StoredProcedure\StoredProcedure;

class GerarRetroBillProcedure extends StoredProcedure {

	public function __construct(Connection $connection, $procedureName = 'GERA_RETROBILL') {
		parent::__construct($connection, $procedureName);
	}

	public function executeProcedure($cdfilial, $cdcia, $dataini, $datafin, $cdoperador, $nrorg, $response) {

		$this->addParam(new Param('P_CDFILIAL', 	Param::PARAM_INPUT,  $cdfilial));
		$this->addParam(new Param('P_CDCIA', 		Param::PARAM_INPUT,  $cdcia));
		$this->addParam(new Param('P_DATAINI', 		Param::PARAM_INPUT,  $dataini));
		$this->addParam(new Param('P_DATAFIN', 		Param::PARAM_INPUT,  $datafin));
		$this->addParam(new Param('P_CDOPERADOR', 	Param::PARAM_INPUT,  $cdoperador));
		$this->addParam(new Param('P_NRRETROBILL', 	Param::PARAM_OUTPUT, ''));
		$this->addParam(new Param('P_NRORG', 		Param::PARAM_INPUT,  $nrorg));
	    
	    $resultado = $this->execute();
		$this->params = array();
		
		$response->addDataset(new DataSet('response', $resultado));

	}
}